Bug 9012 - Allow bulkmarcimport to specify a framework code when importing MARC
Summary: Allow bulkmarcimport to specify a framework code when importing MARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-06 04:47 UTC by Robin Sheat
Modified: 2013-05-23 06:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9012 - --framework option for bulkmarcimport (4.07 KB, patch)
2012-11-07 00:42 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9012 - --framework option for bulkmarcimport (4.16 KB, patch)
2012-11-09 15:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9012 - --framework option for bulkmarcimport (4.37 KB, patch)
2012-12-02 19:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-11-06 04:47:36 UTC

    
Comment 1 Robin Sheat 2012-11-07 00:42:37 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2012-11-09 15:27:26 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2012-12-02 19:10:35 UTC
Perlcritic failing before and after applying the patch, noting results here:

"require" statement with library name as string at line 11, column 12.  Use a bareword instead.  (Severity: 5)
Bareword file handle opened at line 74, column 3.  See pages 202,204 of PBP.  (Severity: 5)
Two-argument "open" used at line 74, column 3.  See page 207 of PBP.  (Severity: 5)
Variable declared in conditional statement at line 439, column 9.  Declare variables outside of the condition.  (Severity: 5)

But patch works nicely, passing QA.
Comment 4 Katrin Fischer 2012-12-02 19:13:53 UTC
Created attachment 13824 [details] [review]
[SIGNED-OFF] Bug 9012 - --framework option for bulkmarcimport

This allows the --framework option to be specified when running
bulkmarkimport. This option allows a framework code to be specified for
the records being imported.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass, perlcritic fails before and after.

Tested
- imported records with -framework FA, FA framework is used
- imported records without -framework, default framework is used
Comment 5 Jared Camins-Esakov 2012-12-03 12:15:16 UTC
This patch has been pushed to master.